:begin
@echo off
echo IBM WebSphere Commerce Server V5.4.0.1 Fixpack install

set JARFILENAME=WCfixpackBE5401_was_WIN.jar
set BACKUPJARFILENAME=WCfixpackBE5401_was_WIN_backup.jar
set LOGFILENAME=WCfixpackBE5401_was_WIN.log

echo Enter the directory where the IBM WebSpere Application Server(WAS) is installed
GetInput WAS_HOME "For example, C:\Program Files\WebSphere\AppServer " ~washome.bat
call ~washome.bat
del ~washome.bat

:verify_was_home
echo The WAS_HOME is %WAS_HOME%
IF NOT EXIST "%WAS_HOME%"\properties\com\ibm\websphere\product.xml   goto bad_was_home

echo Enter the directory where your Application is installed in the InstalledApps directory
GetInput APP_HOME "For example, C:\Program Files\WebSphere\AppServer\InstalledApps\WC_Enterprise_App_[instance].ear " ~apphome.bat
call ~apphome.bat
del ~apphome.bat
set WC_SERVICE=%APP_HOME%\service\fixpack\5401

:verify_app_home
echo The APP_HOME is %APP_HOME%
IF NOT EXIST "%APP_HOME%" goto bad_app_home

set PATH=%WAS_HOME%\java\bin;%PATH%

:start
IF NOT EXIST    .\WCfixpackBE5401_was_WIN.jar goto bad_pwd
IF NOT EXIST    .\Delta.jar     goto bad_pwd

IF NOT EXIST     "%APP_HOME%"\service   mkdir "%APP_HOME%"\service
IF NOT EXIST     "%APP_HOME%"\service\fixpack   mkdir "%APP_HOME%"\service\fixpack
IF NOT EXIST     "%APP_HOME%"\service\fixpack\5401   mkdir "%APP_HOME%"\service\fixpack\5401

java -jar %JARFILENAME% -TargetDir "%APP_HOME%" -BackupJar "%WC_SERVICE%"\%BACKUPJARFILENAME% -logFile "%WC_SERVICE%"\%LOGFILENAME%

goto end

:bad_was_home
echo.
echo Can not locate %WAS_HOME%\properties\com\ibm\websphere\product.xml
echo Please specify the correct WAS_HOME directory and rerun this script.
echo.
goto end

:bad_app_home
echo.
echo Can not locate %APP_HOME%
echo Please specify the correct APP_HOME directory and rerun this script.
echo.
goto end

:bad_pwd
echo.
echo Can not locate the files: %JARFILENAME%, Delta.jar
echo.
goto end

:syntax
echo.
echo usage: install APP_HOME WAS_HOME
echo For example, install c:\WebSphere\AppServer\InstalledApps c:\WebSphere\WAServer
echo Please specify the correct WAS_HOME directory and rerun this script.
goto end

:parms
echo.
echo Installing fixpack complete.

:bad_was_home
echo The WAS_HOME of %WAS_HOME is incorrect.
goto end

:end
echo Done
